import { RdDItem } from "../item.js";

export class RdDItemService extends RdDItem {

  static get defaultIcon() {
    return "systems/foundryvtt-reve-de-dragon/icons/services/lit.webp";
  }

  isService() { return true; }
  getProprietes() {
    return [
      RdDItem.propertyIfDefined('Qualité', this.system.qualite, this.system.qualite != 0),
      RdDItem.propertyIfDefined('Moral', 'Situation heureuse', this.system.moral),
      RdDItem.propertyIfDefined('Coût', `${this.calculerPrixCommercant()} sols`),
    ];
  }
}